POST
/api/v2/vouchers/imports/previewPOST /api/v2/vouchers/imports/preview
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Idempotency-Key (header) | string | No |
Request body
application/x-www-form-urlencoded
| Field | Type | Required | Description |
|---|---|---|---|
| ContentType | string | No | |
| ContentDisposition | string | No | |
| Headers | object | No | |
| Length | unknown | No | |
| Name | string | No | |
| FileName | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| JobId | string (uuid) | Yes | |
| Status | string | Yes | |
| TotalRows | unknown | Yes | |
| ValidRows | unknown | Yes | |
| InvalidRows | unknown | Yes | |
| Rows | array of VoucherImportRowPreview | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/vouchers/imports/preview" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.